import pandas as pd
import matplotlib.pyplot as plt
import seaborn as sns

# task 1
pd.set_option('display.max_columns', None)
df = pd.read_csv('C:\\Users\\User\\Downloads\\earth_quakes.csv')
m = df.groupby('date')['type'].count() # макс землятресений
d = df.depth.mean() # средняя глубина
me = df[df.date > '1917-01-01'].depth.mean() # средняя глубина после даты
m25 = df.mag.quantile(0.25) # квантиль 25
m42 = df.mag.quantile(0.42) # квантиль 42
t1 = df[df.date >= '2000-01-01'].groupby('net').date.count() - df[df.date < '2000-01-01'].groupby('net').date.count() # абсолютный прирост
t2 = (df[df.date >= '2000-01-01'].groupby('net').date.count() - df[df.date < '2000-01-01'].groupby('net').date.count()) / df.groupby('net').date.count() # относительный прирост

#task 2
t = df.nst.sort_values(ascending=False)


# task 3
t = df.place.value_counts().sort_values(ascending=False)
print(t)